Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	music tracking and sequencing library
Name:		libzzub
Version:	0.2.4
Release:	1
Provides:	%{name}.so
License:	GPL
URL:		http://trac.zeitherrschaft.org/zzub/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel
BuildRequires:  python

%description
libzzub is a open source platform independent C/C++ music tracking and sequencing library compatible to Jeskola Buzz.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
# libzzub
scons configure PREFIX=%_prefix 
scons
# pyzzub
pushd src/pyzzub
python setup.py build
popd

%install
rm -rf $RPM_BUILD_ROOT

scons install DESTDIR=$RPM_BUILD_ROOT

pushd src/pyzzub
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so*
%_libdir/zzub/*.so*
%_libdir/lunar
%_datadir/doc
%_libdir/python2.5/site-packages

%files devel
%defattr(-,root,root)
%_includedir
#%_libdir/*.la
#%_libdir/*.a
#%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-1
- Version update
* Sat Mar 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.3-1
- Initial Release
